curl --request POST \
--url https://console.vast.ai/api/v0/team/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team_name": "my-awesome-team",
"transfer_credit": 0
}
'import requests
url = "https://console.vast.ai/api/v0/team/"
payload = {
"team_name": "my-awesome-team",
"transfer_credit": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({team_name: 'my-awesome-team', transfer_credit: 0})
};
fetch('https://console.vast.ai/api/v0/team/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"msg": "Team Successfully Created!"
}{
"success": false,
"msg": "Team name already exists"
}{
"success": false,
"error": "auth_error",
"msg": "Invalid user key"
}create team
Creates a new team with given name and following default roles:
-
Owner: Full access to all team resources, settings, and member management. The team owner is the user who creates the team.
-
Manager: All permissions of owner except team deletion.
-
Member: Can view, create, and interact with instances, but cannot access billing, team management, autoscaler, or machines.
-
The API key used to create the team becomes the team key and is used for all team operations (e.g., creating roles, deleting the team).
-
You can optionally transfer credits from your personal account to the new team account using the
transfer_creditfield.
CLI Usage: vastai create team --team_name <team_name> [--transfer_credit <amount>]
Authorizations
API key must be provided in the Authorization header